https://linen.dev logo
#plugins-general
Title
# plugins-general
m

martin

05/31/2022, 12:25 PM
Hi all - any hint what to do with this? Stackoverflow is full of examples - but I don't find any solution so far.
meltano --log-level=debug invoke tap-facebook --discover
results in:
Copy code
ERROR SingerConfigurationError
GET: 400 Message: (#2635) You are calling a deprecated version of the Ads API. Please update to the latest version: v13.0.
Traceback (most recent call last):
  File "/home/my-user/meltano/prj_myp_ecom/.meltano/extractors/tap-facebook/venv/lib64/python3.7/site-packages/tap_facebook/__init__.py", line 899, in main_impl
    accounts = user.get_ad_accounts()
  File "/home/my-user/meltano/prj_myp_ecom/.meltano/extractors/tap-facebook/venv/lib64/python3.7/site-packages/facebook_business/adobjects/user.py", line 456, in get_ad_accounts
    return request.execute()
  File "/home/my-user/meltano/prj_myp_ecom/.meltano/extractors/tap-facebook/venv/lib64/python3.7/site-packages/facebook_business/api.py", line 677, in execute
    cursor.load_next_page()
  File "/home/my-user/meltano/prj_myp_ecom/.meltano/extractors/tap-facebook/venv/lib64/python3.7/site-packages/facebook_business/api.py", line 844, in load_next_page
    params=self.params,
  File "/home/my-user/meltano/prj_myp_ecom/.meltano/extractors/tap-facebook/venv/lib64/python3.7/site-packages/facebook_business/api.py", line 350, in call
    raise fb_response.error()
facebook_business.exceptions.FacebookRequestError:

  Message: Call was not successful
  Method:  GET
  Path:    <https://graph.facebook.com/v12.0/me/adaccounts>
  Params:  {'summary': 'true'}

  Status:  400
  Response:
    {
      "error": {
        "message": "(#2635) You are calling a deprecated version of the Ads API. Please update to the latest version: v13.0.",
        "type": "OAuthException",
        "code": 2635,
        "fbtrace_id": "AkPvW9gx576GoIsmWiJMBG-"
      }
    }


The above exception was the direct cause of the following exception: